<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('mony_imports', function (Blueprint $table) {
           
            $table
            ->bigInteger('equip_id')
            ->unsigned()
            ->nullable();
            $table
                ->foreign('equip_id')
                ->references('id')
                ->on('equips')
                ->onDelete('cascade')
                ->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('mony_imports', function (Blueprint $table) {
           
            $table->dropForeign('mony_exports_equip_id_foreign');
        });
    }
};
